/**
 * DevExtreme (cjs/renovation/ui/editors/common/editor_label_props.js)
 * Version: 23.2.6 (build 24140-0112)
 * Build date: Sun May 19 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.EditorLabelProps = void 0;
var _themes = require("../../../../ui/themes");
const EditorLabelProps = Object.defineProperties({
    label: ""
}, {
    labelMode: {
        get: function() {
            return (0, _themes.isMaterial)((0, _themes.current)()) ? "floating" : "static"
        },
        configurable: true,
        enumerable: true
    }
});
exports.EditorLabelProps = EditorLabelProps;
